Qore HttpServer Module Reference 0.3.7

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
HttpServer::AbstractAuthenticator Member List

This is the complete list of members for HttpServer::AbstractAuthenticator, including all inherited members.

authenticate(string user, string pass="") | HttpServer::AbstractAuthenticator |
authenticateByIP(string ip, reference user) | HttpServer::AbstractAuthenticator |
authenticateRequest(HttpListener listener, hash hdr, reference cx) | HttpServer::AbstractAuthenticator |
getRealm() | HttpServer::AbstractAuthenticator |
requiresAuthentication() | HttpServer::AbstractAuthenticator |